Это сборник полезных ресурсов для iOS разработчиков. Я не расставлял ссылки по рейтингу. Ссылки сгруппированы по формату материала - видео, текст, новости и т.д.

Описание под каждым ресурсом это собирательный отзыв коммьюнити. Его цель помочь быстрее сориентироваться в этом списке.

Если вы знаете хорошие ресурсы, [напишите мне](https://t.me/ivanvorobei) - я добавлю их сюда.

## Ресурсы Apple

[Дизайн](https://developer.apple.com/design/resources/): UI элементы и готовые шаблоны из них. Доступно для Sketch, Photoshop и XD. Последние шрифты San Francisco и New York. Бейджы "Доступно в AppStore" и другие.

[Разработка](https://developer.apple.com/documentation/): Документации для разработчиков. В туториалах рассказывается о технологиях с примерами кода. Уже доступны туториалы о Xcode Cloud и Concurrency.

[Гайды](https://developer.apple.com/design/): Про проектирование интерфейса - архитектуру, жесты, UI-элементы и другое. Есть интерактивные видео для наглядности.

[Каталог UIKit элементов](https://developer.apple.com/documentation/uikit/views_and_controls/uikit_catalog_creating_and_customizing_views_and_controls): Приложение-каталог с примерами кастомизации нативных элементов из `UIKit`.

[Релизы](https://developer.apple.com/download/release/): Новые версии операционных систем и приложений. Можно глянуть список изменений и скачать Xcode не из стора.

[Видео с WWDC](https://developer.apple.com/videos/): Видео-туториалы от эпл с сессии WWDC. Есть субтитры на английском языке. Спикеры говорят медленно и с наглядной графикой - можно смотреть даже со слабым английским.

[Генератор промо-изображений](https://tools.applemediaservices.com/apple-app-store-promote): Доступны стили `новое приложение`, `обновление`, `подписка` и `оффер`. Настраивается язык и цвет фона. Есть размеры для сторис, баннеры и квадраты.

## Русскоязычные видео

[Школа мобильной разработки от Яндекса](https://www.youtube.com/playlist?list=PLQC2_0cDcSKBUXhSGqAbVAp3SFBKPnpFI): Хорошие спикеры и материал. Ролики по 1-2 часу. Звук записан с вебки.

[Код Воробья](https://www.youtube.com/channel/UCNUGzZfcOyX4YpP36VzeZ6A): Канал вашего покорного слуги. Мне стоит делать ролики чаще.

[iCode School](https://www.youtube.com/channel/UCx1xu0yc1mh-gjAq8YKRobg): Каждый ролик посвящен конкретному классу. Начинающим глянуть плейлист `Основы программирования`. Автора приятно слушать, но звук записан как в бочке.

[Ivan Skorokhod](https://www.youtube.com/channel/UChfEfFKYILtO5yZSX2irynw): Перевод Стэнфордского курса по iOS разработке. Есть ролики про Swift. Хорошая подача, плохой звук.

[SwiftBook](https://www.youtube.com/channel/UCXlCPCsB09ftBA5bQfiSWoQ): Интервью с разработчиками и практические задачи. Автор зачитывает код, который печатает - меня это утомляет. Хороший звук.

[MadBrains](https://www.youtube.com/c/MadBrains): В формате тех. докладов разбирают практические задачи. Есть видео о том как получить реджект и про RX. Ролики большие, но смотреть интересно.

## Русскоязычные туториалы

[Habr](https://habr.com/ru/hub/ios_dev/): Портал с туториалами и практическими задачами. Авторы отвечают в комментариях. Ссылку привел конкретно по iOS разработке, но гляньте и другие потоки.

[Apptractor](https://apptractor.ru): В [телеграм-канале](https://telegram.me/apptractor) приходит ежедневная подборка туториалов. По воскресеньям дайджест материалов за неделю.

[SwiftBook](https://swiftbook.ru): Туториалы и переводы. Документация по Swift на русском языке. Есть платный курс для iOS разработчиков.

## Забугорные туториалы

[Ray Wenderlich](https://www.raywenderlich.com): Большие туториалы в практическом контексте. У автора есть книги по гиту, базе данных и `SwiftUI`. Есть видео-курсы. Некоторый контент платный.

[useyourloaf.com](https://useyourloaf.com): Короткие статьи с практикой. Часто нахожу сайт в выдаче. Stackoverflow на максималках.

[iosdevweekly.com](https://iosdevweekly.com): Подборки разбиты по категориям - инструменты, код, дизайн и маркетинг. Похож на `AppTractor`, только забугорный.

[hackingwithswift.com](https://www.hackingwithswift.com/): Короткие туториалы. Часто встречаю в гугле в выдаче. Есть платные курсы.

[swiftsenpai.com](https://swiftsenpai.com): Разбирают сложные инструменты. Много туториалов по новым технологиям.

[nshipster.com](https://nshipster.com): Туториалы с глубоким погружением. Есть про среду разработки и зависимости.

[swiftontap.com](https://swiftontap.com): Документация по `SwiftUI` с примерами. Практическое руководство.

[theswiftdev.com](https://theswiftdev.com): Туториалы с не классическими практическими задачами типа как запускать swift-файлы как скрипты и обрабатывать препроцессор инфо.

## Забугорные видео

[Стэнфордский курс, оригинал](https://www.youtube.com/playlist?list=PL3d_SFOiG7_8ofjyKzX6Nl1wZehbdiZC_): Популярный курс среди начинающих разработчиков. Если хорошо с английским, начните с этого. В разделе с локализованными ресурсами есть ссылки на переводы.

[Kavsoft](https://www.youtube.com/c/Kavsoft): Туториалы и практические примеры на SwiftUI. Автор не озвучивает ролики, пояснения появляются текстом на экране.

## Чаты

[Чат Код Воробья](https://sparrowcode.io/telegram/chat): Наш чат. Модерируем токсичных разработчиков, помогаем начинающим и продолжающим.

[SwiftBook Чат](https://telegram.me/swiftbook_chat): Чат популярной платформы. В чате сейчас больше 5к людей.

## Подборки библиотек

[cocoacontrols.com](https://www.cocoacontrols.com): Подборка UI-библиотек, сразу с превью.

[swiftpackageindex.com](https://swiftpackageindex.com): Поиск SPM-библиотек. Автор отбирает библиотеки.

[iosdev.tools](https://iosdev.tools): Короткий обзор библиотек в формате новостей.

[swift.libhunt.com](https://swift.libhunt.com): Библиотеки разбиты на 74 категории. Есть реклама - мешает в навигации.

## Мастхев библиотеки

[Alamofire](https://github.com/Alamofire/Alamofire): Фасад для сетевых запросов.

[SwiftyJSON](https://github.com/SwiftyJSON/SwiftyJSON): Будете быстрее разворачивать значения в `JSON`.

[Nuke](https://github.com/kean/Nuke): Использует нативные инструменты чтобы кэшировать изображения.

[SPPermissions](https://github.com/ivanvorobei/SPPermissions): Работа с разрешениями.

## Интересные репозитории

[Awesome-iOS](https://github.com/vsouza/awesome-ios): Подборка библиотек. Репозитории разбиты на 200 категорий. Есть подборки с курсами.

[Awesome iOS ещё один](https://github.com/ivanvorobei/awesome-ios): Мой сборник библиотек. Есть [сайт](https://awesome-ios.com). Планирую написать приложение.

[GitHub Trends](https://github.com/trending/swift?since=daily&spoken_language_code=): Популярные Swift-библиотеки на GitHub.

## Инструменты

[nsdateformatter.com](https://nsdateformatter.com): Примеры форматирования даты с помощью `DateFormatter`.

[epochconverter.com](https://www.epochconverter.com): Конвертор `Timestamp`.

[Генератор промо-изображений](https://tools.applemediaservices.com/apple-app-store-promote): Доступны стили `новое приложение`, `обновление`, `подписка` и `оффер`. Настраивается язык и цвет фона. Есть размеры для сторис, баннеры и квадраты.

## Вопросы

[Stackoverflow](https://stackoverflow.com): Чаще всего запрос в гугл приведет вас сюда. Можно задавать свои вопросы. Есть система рейтинга.

[Русский Stackoverflow](https://ru.stackoverflow.com): Аналог англоязычного портала. Не активен в русском сегменте.

[Q&A](https://qna.habr.com): Русский агрегатор вопросов.

## На этом всё

Если вы знаете хорошие ресурсы, [напишите мне](https://t.me/ivanvorobei) чтобы добавить их в статью.

